Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk
Interface IPAddressProviderIF

All Known Implementing Classes:
  IPAddressProvider, RisProvider

    public interface IPAddressProviderIF

The `IPAddressProviderIF` interface defines a simple Java "wrapper" interface into Cisco CallManager DeviceListX API. Any class implementing the `IPAddressProviderIF` interface is expected to query the CallManager for a current list of active devices and their IP addresses. The implementation is expected to cache this information and control its refresh interval in order to minimize the load on the CallManager server, as well as the application server. The implementation should only report the IP addresses of devices which are actively registered to a CallManager server - any IP addresses listed for devices in an un-registered state, should be ignored. The `IPAddressProvider` class included in this SDK is an implementation of the `IPAddressProviderIF` interface.

See Also:
  `IPAddressProvider`

Method Summary
`java.util.HashMap` | `getAllIPAddresses()` This method retrieves all of the current active IP addresses of devices.
`java.lang.String` | `getIPAddress(Phone phone)` This method retrieves the current active IP address of the specified Phone.
`java.lang.String[]` | `getIPAddresses(Phone[] phones)` This method retrieves the current active IP addresses of the specified Phones.
`Phone` | `getPhone(java.lang.String ipAddress)` This method does the inverse of the previous methods - it accepts an IP address as a parameter and searches for the Phone currently using that address.

Method Detail

### getIPAddress

    java.lang.String getIPAddress(Phone phone)

  This method retrieves the current active IP address of the specified Phone.

  Parameters:
    `phone` - the Phone for which an IP address is requested
  Returns:
    a String containing the IP address of the Phone in dotted-decimal format. If the Phone is not found, `null` will be returned.

### getIPAddresses

    java.lang.String[] getIPAddresses(Phone[] phones)

  This method retrieves the current active IP addresses of the specified Phones.

  Parameters:
    `phones` - an Array of Phones for which IP addresses are requested
  Returns:
    an Array of Strings containing the IP addresses of the requested Phones in dotted-decimal format. The returned array will always be the same length as the phones[] supplied as an argument. For any phones not found, the corresponding array element will contain `null`.

### getAllIPAddresses

    java.util.HashMap getAllIPAddresses()

  This method retrieves all of the current active IP addresses of devices.

  Returns:
    a HashMap which contains all of the deviceNames (the HashMap keys) and their IP addresses (the HashMap values)

### getPhone

    Phone getPhone(java.lang.String ipAddress)

  This method does the inverse of the previous methods - it accepts an IP address as a parameter and searches for the Phone currently using that address.

  Parameters:
    `ipAddress` - a String containing the current IP address of the requested Phone
  Returns:
    the Phone currently using the specified IP address or `null` if the address could not be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD